#include <stdio.h>
#include <string.h>

const long MAX_POZH = 100;

long pozh[MAX_POZH];

int main()
{
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);

	long N, curNBarrel, cPozh, cActivePozh;

	scanf("%ld %ld", &N, &cPozh);

	double time = 0.0;
	curNBarrel = N-1;
	cActivePozh = cPozh;

	long pozhPerBarrel;
	long cGoodBarrels;
	long iBarrel;

	memset(pozh, 0, sizeof(pozh));

	while(1)
	{
        pozhPerBarrel = cActivePozh / (curNBarrel+1);
		cGoodBarrels = cActivePozh % (curNBarrel+1);

		for (iBarrel = 0; iBarrel <= curNBarrel; ++iBarrel)
		{
			pozh[iBarrel] += pozhPerBarrel;
			if (iBarrel > curNBarrel - cGoodBarrels) ++pozh[iBarrel];
		}

		if (pozh[0] > 1) break;

		time += 10.0 / pozh[curNBarrel];
		cActivePozh = cGoodBarrels * pozh[curNBarrel];
        curNBarrel -= cGoodBarrels;
	}

	time += 10.0*(curNBarrel+1) / cPozh;

	printf("%.6lf\n", time);



	fclose(stdin);
	fclose(stdout);
	return 0;
}
